Search found 58 matches

by ChALkeR
Sat Dec 15, 2007 10:56 am
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

Also, I was in touch with the author of PHPkg, and he said that he was most definitely interested in continuing the development, except that he was very busy until Christmas was over.
Good news.
by ChALkeR
Tue Oct 09, 2007 7:23 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

Dabroz wrote:I will try to post the most recent version tommorow.
What is the current status of dev4?
by ChALkeR
Tue Oct 09, 2007 7:22 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

:( I have php 4.3.9 on my live server and 4.3.11 on my localhost.... Are you planning on making this work with php<5 ? I think that there are a lot of people with 4.x.x versions... :oops: I see no point in porting it to php4, as it will make code less readable and requires rewrite of SimpleXML, whi...
by ChALkeR
Wed Sep 26, 2007 6:10 pm
Forum: [3.0.x] MODs in Development
Topic: [RC1] User Useragent Stats
Replies: 9
Views: 3361

Re: [RC1] User Useragent Stats

Nice ).
by ChALkeR
Sun Sep 23, 2007 6:00 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

Why a separate file, if it could be done with a commented line in .cfg files? Like

Code: Select all

#basetheme = prosilver
Maybe even to allow to view/half-automatically change this for the repo maintainers via a php script?
by ChALkeR
Sun Sep 23, 2007 3:31 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

http://www.phpbb.com/bugs/phpbb3/ticket.php?ticket_id=14538 Another small tip: subsilver is xhtml1-transitional, prosilver is xhtml1-strict. If this would be not touched by styles authors, that are basing their work on subsilver and prosilver, it could be used for autodetection. And the basic JS fun...
by ChALkeR
Sun Sep 23, 2007 2:55 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

*deleted double post, pressed the wrong button*
by ChALkeR
Sun Sep 23, 2007 2:47 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

Another good idea is someting simular for automated styles downloading/installing. Integrated with this mod, so all installed such way styles will get modded according to the installed mods list, and it will look somewhere for translations for the theme images (if eng are copied from *silver, then j...
by ChALkeR
Sat Sep 22, 2007 3:21 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

Wishlist:
  • The ability to specify the list of mods (with versions) that were installed manually, so it will be possible to upgrade them.
  • The ability to apply all the installed mods to a new style(s).
by ChALkeR
Sat Sep 22, 2007 1:47 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

If the installiation fails (first time i had ftp not configured), it still thinks that it have installed the package.
I had to manually modify the entry in the DB.
by ChALkeR
Sat Sep 22, 2007 1:45 pm
Forum: [3.0.x] MODs in Development
Topic: [BETA] phPKG - MOD installer with repositories & packages
Replies: 201
Views: 25542

Re: [BETA] phPKG - MOD installer with repositories & packages

Brilliant! It brings the linux go-to-the-control-center(package manager)-select-what-you-want(all at once)-install-and-be-happy way to phpBB, instead of windows-like go-to-google-spend-several-hours(days)-finding-each-thing-separately -spend-your-time-with-manual-installiation(separately)- and-don'...
by ChALkeR
Mon Jul 23, 2007 6:03 pm
Forum: [3.0.x] Support Forum
Topic: License
Replies: 9
Views: 237

Re: License

Just days after the GPL3 final draft was released, Acyd Burn added this to CVS: http://phpbb.cvs.sourceforge.net/phpbb/phpBB2/docs/AUTHORS?r1=1.23&r2=1.24 It clarifies phpBB's position as licensed under the GPL2. Thank you, that answers the question. And now I'm just intersted: why did the develope...
by ChALkeR
Mon Jul 23, 2007 5:52 pm
Forum: [3.0.x] Support Forum
Topic: License
Replies: 9
Views: 237

Re: License

Then it should be specified thus in headers or on this site. Better - in headers. Because as it is now, it is nowhere said that it can be used under GPLv3. If it can, then the users are just not informed of it. Now there is just one license specified, and it does not allow using the code under GPLv3.
by ChALkeR
Mon Jul 23, 2007 5:48 pm
Forum: [3.0.x] Support Forum
Topic: License
Replies: 9
Views: 237

Re: License

That's incorrect. The clause "GPLv2 or later" (in the license in docs/LICENSE) makes it compatible with GPLv3, as per the (albeit outdated) page you linked to. There is no "GPLv2 or later" in any file of phpBB3, and there is no docs/LICENSE. There is docs/COPYING, but it begins with GNU GENERAL PUB...
by ChALkeR
Mon Jul 23, 2007 5:38 pm
Forum: [3.0.x] Support Forum
Topic: License
Replies: 9
Views: 237

Re: License

phpBB3 is released under the GPLv2 license, but the GPL 3 can be applied to it if you wish.. GPLv2 software is compatible with GPLv3, but not the other way around. That is wrong. GPLv2 is not compatible with GPLv3 either way. See http://gplv3.fsf.org/dd3-faq To be compatible one way it has to be "G...

Go to advanced search